7 posts / 0 new
Last post
ForumImport
Offline
Last seen: 9 years 9 months ago
Joined: 09/22/2009 - 18:47
tutorials crash II

This message was originally posted by avwbre on 05/10/2007 13:53:52
Hi,
when I try to run the tutorials k3d crashes with
line 180: 12895 Segmentation fault /usr/local/k3d/bin/k3d-bin --options /home/*****/.k3d/options.k3d --plugins /usr/local/k3d/lib/k3d --shadercache /home/*****/.k3d/shadercache --share /usr/local/k3d/share/k3d --tutorials /usr/local/k3d/share/k3d/tutorials --ui /usr/local/k3d/lib/libk3dngui.so
After peeking and poking arround in the tutorial scripts, It seems that the crash is induced by any of the lines in the scripts which start with:

ForumImport
Offline
Last seen: 9 years 9 months ago
Joined: 09/22/2009 - 18:47
tutorials crash II

This message was originally posted by Timothy M. Shead on 05/10/2007 21:19:22
As a \"heads up\", the sample file you posted loads fine with K-3D 0.7 (the unstable development version).
Cheers,
Tim

ForumImport
Offline
Last seen: 9 years 9 months ago
Joined: 09/22/2009 - 18:47
tutorials crash II

This message was originally posted by Timothy M. Shead on 05/10/2007 21:25:07
To clarify, you would have to build K-3D from source to enable the GTS plugin. Follow the instructions at http://www.k-3d.org/wiki/Windows_Build/CMake and enable K3D_BUILD_GTS_MODULE in cmake.
You may want to read the caveats at http://www.k-3d.org/wiki/GTSBoolean first, though.
Cheers,
Tim

ForumImport
Offline
Last seen: 9 years 9 months ago
Joined: 09/22/2009 - 18:47
tutorials crash II

This message was originally posted by Timothy M. Shead on 05/10/2007 21:28:08
You don’t mention which version of K-3D you’re building. I’d recommend doing a debug build with the latest sources (0.7) from subversion, then run it out of the source tree using the debugger. See \"make run-debug\" and the rest of the make targets at http://www.k-3d.org/wiki/CMake_Targets
Cheers,
Tim

ForumImport
Offline
Last seen: 9 years 9 months ago
Joined: 09/22/2009 - 18:47
tutorials crash II

This message was originally posted by avwbre on 05/11/2007 00:14:16
I’ve built the ’stable’ K-3D Version 0.6.6.0, downloaded from sourceforge.net and compiled with gcc version 4.0.2 on a SuSE 10.0 box with kernel 2.6.13-15.15-default. There were no apparent problem during compilation.
I’ll do the 0.7 too and get back then.
Still, do you know what these lines in the scripts which start with:

ForumImport
Offline
Last seen: 9 years 9 months ago
Joined: 09/22/2009 - 18:47
tutorials crash II

This message was originally posted by jfpion on 05/11/2007 01:34:36
I will try with the big one
thanks a lot

ForumImport
Offline
Last seen: 9 years 9 months ago
Joined: 09/22/2009 - 18:47
tutorials crash II

This message was originally posted by jfpion on 05/11/2007 01:50:18
on the source forge there is a 0.6.7 but no 0.7 ?
thanks a lot

Log in or register to post comments